ランタイム: Mix::Dynamics::ICompoundShape Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::ICompoundShape Class Referenceabstract

コンパウンドシェイプインターフェース More...

`#include <ICompoundShape.h>`

Inheritance diagram for Mix::Dynamics::ICompoundShape:
[legend]
Collaboration diagram for Mix::Dynamics::ICompoundShape:
[legend]

## Public Member Functions

virtual Boolean | AddChild (Mix::Dynamics::IShape *pShape, const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| 子を追加します More...
virtual UInt32 | RemoveChild (Mix::Dynamics::IShape *pShape)=0
| 子を削除します More...
virtual Boolean | RemoveChildByIndex (UInt32 index)=0
| 子を削除します More...
virtual Boolean | GetChildByIndex (UInt32 index, Mix::Dynamics::IShape **ppShape)=0
| 子を取得します More...
virtual Mix::Dynamics::IShape * | GetChildPtrByIndex (UInt32 index) const =0
| 子のポインタを取得します More...
virtual Boolean | GetChildTransformByIndex (UInt32 index, Mix::Quaternion &rot, Mix::Vector3 &pos)=0
| 子の位置、回転姿勢を取得します More...
virtual Boolean | SetChildTransformByIndex (UInt32 index, const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| 子の位置と回転姿勢を更新します More...
virtual UInt32 | GetChildCount (void) const =0
| 子の数を取得します More...
Public Member Functions inherited from Mix::Dynamics::IShape
virtual Mix::Dynamics::IShape::TYPE | GetType (void) const =0
| シェイプの種類を取得します More...
virtual Float32 | GetMargin (void) const =0
| 衝突マージンを取得します More...
virtual void | SetMargin (Float32 margin)=0
| 衝突マージンを設定します More...
virtual void | DebugDraw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ICompoundShape (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Dynamics::IShape
virtual | ~IShape (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IShape
enum | TYPE { BOX = 0, CAPSULE = 1, COMPOUND = 2, CONE = 3, CONVEXHULL = 4, CYLINDER = 5, SPHERE = 6 }
| タイプ列挙定数 More...

## Detailed Description

コンパウンドシェイプインターフェース

Note
  複数のシェイプを結合して一つのシェイプとして扱います。
  リジッドボディ( Mix::Dynamics::IRigidBody )にすでに設定されている場合でも、追加、削除、姿勢の更新などが行えてしまうため、
  以下のメソッドを使用した場合は、必ず UpdateLocalInertia を呼び出して、慣性テンソルを更新してください。
  AddChild
  RemoveChildByIndex
  RemoveChild
  UpdateChildTransform

## Constructor & Destructor Documentation

virtual Mix::Dynamics::ICompoundShape::~ICompoundShape | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Dynamics::ICompoundShape::AddChild | ( | Mix::Dynamics::IShape * | pShape,
|  | const Mix::Quaternion & | rot,
|  | const Mix::Vector3 & | pos
| ) |  |

pure virtual

子を追加します

Parameters

  [in] | pShape | 追加するシェイプを表す Mix::Dynamics::IShape インターフェースのポインタ
  [in] | rot | 回転を表す Mix::Quaternion クラス
  [in] | pos | 位置を表す Mix::Vector3 クラス

Returns
  成功した場合は True を返します

Note
  追加した子は、参照カウンタを +1 します

virtual UInt32 Mix::Dynamics::ICompoundShape::RemoveChild | ( | Mix::Dynamics::IShape * | pShape | ) |

pure virtual

子を削除します

Parameters

  [in] | pShape | 削除する子を表す Mix::Dynamics::IShape インターフェースのポインタ

Note
  削除した子は、参照カウンタを -1 します

virtual Boolean Mix::Dynamics::ICompoundShape::RemoveChildByIndex | ( | UInt32 | index | ) |

pure virtual

子を削除します

Parameters

  [in] | index | 削除する子のインデックス

Note
  削除した子は、参照カウンタを -1 します

virtual Boolean Mix::Dynamics::ICompoundShape::GetChildByIndex | ( | UInt32 | index,
|  | Mix::Dynamics::IShape ** | ppShape
| ) |  |

pure virtual

子を取得します

Parameters

  [in] | index | 子のインデックス
  [out] | ppShape | 取得した子を表す Mix::Dynamics::IShape インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得した子は、参照カウンタを +1 します

virtual Mix::Dynamics::IShape* Mix::Dynamics::ICompoundShape::GetChildPtrByIndex | ( | UInt32 | index | ) | const

pure virtual

子のポインタを取得します

Parameters

  [in] | index | 子のインデックス

Returns
  取得に成功した場合は、Mix::Dynamics::IShape インターフェースのポインタを返します 失敗した場合は NULL を返します

virtual Boolean Mix::Dynamics::ICompoundShape::GetChildTransformByIndex | ( | UInt32 | index,
|  | Mix::Quaternion & | rot,
|  | Mix::Vector3 & | pos
| ) |  |

pure virtual

子の位置、回転姿勢を取得します

Parameters

  [in] | index | 子のインデックス
  [in] | rot | 回転を表す Mix::Quaternion クラス
  [in] | pos | 位置を表す Mix::Vector3 クラス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::ICompoundShape::SetChildTransformByIndex | ( | UInt32 | index,
|  | const Mix::Quaternion & | rot,
|  | const Mix::Vector3 & | pos
| ) |  |

pure virtual

子の位置と回転姿勢を更新します

Parameters

  [in] | index | 子のインデックス
  [in] | rot | 回転を表す Mix::Quaternion クラス
  [in] | pos | 位置を表す Mix::Vector3 クラス

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Dynamics::ICompoundShape::GetChildCount | ( | void |  | ) | const

pure virtual

子の数を取得します

Returns
  子の数を返します

The documentation for this class was generated from the following file:

- Mix/Dynamics/ICompoundShape.h